<?php

namespace App\Console;

use App\Service\DatabaseManager;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class ListDatabasesCommand extends Command
{
    // the name of the command (the part after "bin/console")
    protected static $defaultName = 'app:db:list';

    public function __construct(
        private DatabaseManager $db,
    )
    {
        parent::__construct();
    }

    protected function configure(): void
    {
        // ...
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $dbs = $this->db->listDatabases();

        $output->writeln('List of databases:');
        foreach ($dbs as $db) {
            $output->writeln(sprintf(' -%s', $db));
        }

        return Command::SUCCESS;
    }
}